## geographiclib 0.4.0

=== DESCRIPTION ===
Package: geographiclib
Title: Access to 'GeographicLib'
Version: 0.4.0
Authors@R: c(
    person("Michael", "Sumner", , "mdsumner@gmail.com", role = c("cre", "aut")), 
    person("Charles", "Karney", role = c("cph", "aut"), comment="GeographicLib author and maintainer"),
    person("Mark", "Borgerding", role = "cph", comment = "kissfft library (BSD-3-Clause)")
    )
Description: Bindings to the 'GeographicLib' C++ library
    <https://geographiclib.sourceforge.io/> for precise geodetic calculations
    including geodesic computations (distance, bearing, paths, intersections),
    map projections (UTM/UPS, Transverse Mercator, Lambert Conformal Conic,
    and more), grid reference systems (MGRS, Geohash, GARS, Georef),
    coordinate conversions (geocentric, local Cartesian), and polygon area
    on the WGS84 ellipsoid. All functions are fully vectorized.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.3
LinkingTo: cpp11
URL: https://github.com/hypertidy/geographiclib
BugReports: https://github.com/hypertidy/geographiclib/issues
Suggests: knitr, rmarkdown, spelling, testthat (>= 3.0.0)
Config/testthat/edition: 3
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: yes
Packaged: 2026-02-20 10:36:41 UTC; mdsumner
Author: Michael Sumner [cre, aut],
  Charles Karney [cph, aut] (GeographicLib author and maintainer),
  Mark Borgerding [cph] (kissfft library (BSD-3-Clause))
Maintainer: Michael Sumner <mdsumner@gmail.com>
Repository: CRAN
Date/Publication: 2026-02-25 10:10:17 UTC

## geographiclib 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: geographiclib
 Title: Access to 'GeographicLib'
-Version: 0.4.0
+Version: 0.4.1
 Authors@R: c(
     person("Michael", "Sumner", , "mdsumner@gmail.com", role = c("cre", "aut")), 
     person("Charles", "Karney", role = c("cph", "aut"), comment="GeographicLib author and maintainer"),
@@ -24,10 +24,10 @@
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2026-02-20 10:36:41 UTC; mdsumner
+Packaged: 2026-02-27 10:56:35 UTC; mdsumner
 Author: Michael Sumner [cre, aut],
   Charles Karney [cph, aut] (GeographicLib author and maintainer),
   Mark Borgerding [cph] (kissfft library (BSD-3-Clause))
 Maintainer: Michael Sumner <mdsumner@gmail.com>
 Repository: CRAN
-Date/Publication: 2026-02-25 10:10:17 UTC
+Date/Publication: 2026-02-27 11:50:14 UTC

## geographiclib 1.8

=== debian/changelog ===
geographiclib (1.8-2) unstable; urgency=low

  * Fixed typo in changelog to make lintian happy.
  * Added missing dependency from libgeographic5 in -dev package.
    (closes: #624181)
  * Policy bumped to 3.9.2, no changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Apr 2011 16:50:10 +0200

geographiclib (1.8-1) unstable; urgency=low

  * New upstream release. Now manpages are installed for tools.
  * Moved to git for maintainance, so changed Vcs-* fields.
  * Changed to source format 3.0 and dropped quilt build-dep.
  * Policy changed to 3.9.1 without changes.
  * Now using level 8 for debhelper.
  * API changes from 1 to 5, changed binary package names as result.
  * Removed README.source.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Feb 2011 18:06:44 +0100

geographiclib (1.2-1) unstable; urgency=low

  * New upstream release with a couple of bugs fixed in the geodesic routines.
    Previous patches merged: longdouble and destdir.
  * Reduced short descriptions in debian/control file to make lintian happy.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 May 2010 17:54:42 +0200

geographiclib (1.1-2) unstable; urgency=low

  * Added longdouble patch: fixed problems with unsupported long double 
    on some archs.  Thanks Nobuhiro Iwamatsu.
    (closes: #573930)
  * Added doxygen as build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 06 Apr 2010 12:46:55 +0200

geographiclib (1.1-1) unstable; urgency=low

  * Initial release.
    (closes: #571788)
  * A couple of problems fixed by quilt patches. Should go upstream.
  * Introduced a support script to download geoid grids from SF.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 10 Mar 2010 15:36:44 +0100

=== debian/control ===
Source: geographiclib
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: cdbs, debhelper (>= 8), autotools-dev, doxygen
Standards-Version: 3.9.1
Homepage: http://geographiclib.sf.net/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/geographiclib.git
Vcs-Git: git://git.debian.org/git/pkg-grass/geographiclib.git

Package: geographiclib-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-bin
Recommends: bzip2
Description: A C++ library to solve some geodesic problems -- tools
 GeographicLib is a small set of C++ classes for converting between                                                                                         
 geographic, UTM, UPS, MGRS, geocentric, and local cartesian coordinates,                                                                                     
 for geoid calculations, and for computing geodesic. It is a suitable                                                                                         
 replacement for the core functionality provided by NGA Geotrans.
 .
 This package contains some core tools based on the GeographicLib library.

Package: libgeographiclib5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: geographiclib-tools
Description: A C++ library to solve some geodesic problems -- library
 GeographicLib is a small set of C++ classes for converting between                                                                                         
 geographic, UTM, UPS, MGRS, geocentric, and local cartesian coordinates,                                                                                     
 for geoid calculations, and for computing geodesic. It is a suitable                                                                                         
 replacement for the core functionality provided by NGA Geotrans.
 .
 This package contains the GeographicLib shared library used at run-time 
 by applications.

Package: libgeographiclib-dev
Architecture: any
Section: libdevel
Depends: libgeographiclib5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: A C++ library to solve some geodesic problems -- development files
 GeographicLib is a small set of C++ classes for converting between                                                                                         
 geographic, UTM, UPS, MGRS, geocentric, and local cartesian coordinates,                                                                                     
 for geoid calculations, and for computing geodesic. It is a suitable                                                                                         
 replacement for the core functionality provided by NGA Geotrans.
 .
 This package contains the files used to develop applications that use the
 GeographicLib library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS=--datadir=/usr/share/geographiclib --prefix=/usr

## geographiclib 1.21

=== CMakeLists.txt ===
# $Id: a3ad2e3a9ae71b3bc393ca9a3f1ab2277f171d35 $

cmake_minimum_required (VERSION 2.6)
project (GeographicLib)

# Version information
set (GeographicLib_VERSION_MAJOR 1)
set (GeographicLib_VERSION_MINOR 21)
set (GeographicLib_VERSION
     "${GeographicLib_VERSION_MAJOR}.${GeographicLib_VERSION_MINOR}")
# The library version tracks the numbering given by libtool in the
# autoconf set up.
set (LIBVERSION 9)
set (LIBVERSIONFULL 9.3.0)

# Set CMAKE_INSTALL_PREFIX from first element of CMAKE_PREFIX_PATH
if (WIN32)
  if (DEFINED CMAKE_PREFIX_PATH
    AND CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    list (GET CMAKE_PREFIX_PATH 0 CMAKE_INSTALL_PREFIX)
    set (CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}
      CACHE PATH "Installation directory for GeographicLib" FORCE)
  endif ()
  message (STATUS "CMAKE_INSTALL_PREFIX set to ${CMAKE_INSTALL_PREFIX}")
endif ()

# User-settable cache variables

# (1) Build as a shared library?  On Windows systems, this is typically
# more trouble than it's worth.
if (WIN32)
  option (GEOGRAPHIC_SHARED_LIB "Build GeographicLib as a shared library" OFF)
else ()
  option (GEOGRAPHIC_SHARED_LIB "Build GeographicLib as a shared library" ON)
endif ()

# (2) Compiler the Matlab interfaces?  Skip Matlab compilation if OFF
option (MATLAB_COMPILER
  "Compiler for matlab/octave interface: mex or mkoctfile or OFF" OFF)

# (3) Where to look for data files.  Various classes look in the geoids,
# gravity, magnetic, subdirectories of ${GEOGRAPHICLIB_DATA}.
if (WIN32)
  # The binary installers for the data files for Windows are created
  # with Inno Setup which uses {commonappdata}.  On most Windows
  # systems this is
  # "C:/Documents and Settings/All Users/Application Data", while on
  # newer systems (Windows 7), it is C:/ProgramData.  However the
  # longer name "works" on all Windows systems.
  set (GEOGRAPHICLIB_DATA
    "C:/Documents and Settings/All Users/Application Data/GeographicLib"
    CACHE PATH "Location for data for GeographicLib")
else ()
  set (GEOGRAPHICLIB_DATA
    "${CMAKE_INSTALL_PREFIX}/share/GeographicLib"
    CACHE PATH "Location for data for GeographicLib")
endif ()

# (4) Compiler the Matlab interfaces?  Skip Matlab compilation if OFF
if (WIN32)
  option (GEOGRAPHICLIB_EXAMPLES
    "Build example programs in examples directory" OFF)
elseif ()
  option (GEOGRAPHICLIB_EXAMPLES
    "Build example programs in examples directory" ON)
endif ()

# The debug version of the library is called Geographic_d.
set (CMAKE_DEBUG_POSTFIX _d)

# Determine system properties
include (CheckTypeSize)
check_type_size ("long double" LONG_DOUBLE BUILTIN_TYPES_ONLY)
include (TestBigEndian)
test_big_endian (WORDS_BIGENDIAN)

# Create a Config.h to expose system information to the compiler
configure_file (
    "${PROJECT_SOURCE_DIR}/include/GeographicLib/Config.h.in"
    "${PROJECT_BINARY_DIR}/include/GeographicLib/Config.h" )

# The documentation depends on doxygen.  In addition, the man pages are
# written as pod files and converted to nroff format, C++ code, and
# html.  Because this require tools that may not be available on an
# end-user's system, the creation of the final documentation is
# therefore only done in "MAINTAINER" mode.  The maintainer runs "make
# distrib-all" which installs the transformed documentation files into
# the source tree.
if (NOT WIN32)
  set (DOXYGEN_SKIP_DOT ON)
  find_package (Doxygen)
  find_program (HAVE_POD2MAN pod2man)
  find_program (HAVE_POD2HTML pod2html)
  find_program (HAVE_DOXYGEN doxygen)
endif ()
if (NOT WIN32 AND HAVE_POD2MAN AND HAVE_POD2HTML AND DOXYGEN_FOUND)
  set (MAINTAINER ON CACHE BOOL "Allow build of additional components")
else ()
  set (MAINTAINER OFF CACHE BOOL "Allow build of additional components")
endif ()
if (MAINTAINER)
  add_custom_target (distrib-all)
  add_dependencies (distrib-all distrib-man distrib-doc)
endif ()

# Look for the tool to compile the Matlab interfaces.
if (MATLAB_COMPILER)
  if (WIN32)
    set (MATLAB_COMPILER_EXT ".bat")
  else ()
    set (MATLAB_COMPILER_EXT "")
  endif ()
  find_program (MEX "${MATLAB_COMPILER}${MATLAB_COMPILER_EXT}")
  if (MATLAB_COMPILER MATCHES "mex")
    get_filename_component (MATLABDIR "${MEX}" REALPATH)
    get_filename_component (MATLABDIR "${MATLABDIR}" PATH)
    find_program (MEXEXTPROG "mexext${MATLAB_COMPILER_EXT}"
      PATHS "${MATLABDIR}")
    execute_process (COMMAND "${MEXEXTPROG}"
      OUTPUT_VARIABLE MEXEXT OUTPUT_STRIP_TRAILING_WHITESPACE)
  else ()
    set (MEXEXT "mex")
  endif ()
  if (NOT MEX)
    message (WARNING
      "Cannot find Matlab compiler ${MATLAB_COMPILER}${MATLAB_COMPILER_EXT}")
  elseif (NOT MEXEXT)
    set (MEX OFF)
    message (WARNING "Cannot determine extension for Matlab compiled code")
  endif ()
endif ()

# Set a default build type for single-configuration cmake generators if
# no build type is set.
if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release)
endif ()

# On non-Windows machine, make the compiler more picky.
if (NOT WIN32)
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
endif ()

# The list of tools (to be installed into, e.g., /usr/local/bin)
set (TOOLS CartConvert ConicProj GeodesicProj GeoConvert Geod
  GeoidEval Gravity MagneticField Planimeter TransverseMercatorProj)
# The list of scripts (to be installed into, e.g., /usr/local/sbin)
set (SCRIPTS
  geographiclib-get-geoids geographiclib-get-gravity geographiclib-get-magnetic)

# Set the include directories.  Look in ${PROJECT_BINARY_DIR}/include
# first because that's where Config.h will be
include_directories ("${PROJECT_BINARY_DIR}/include")
include_directories (include)

# The list of subdirectories to process
add_subdirectory (src)
add_subdirectory (include/GeographicLib)
add_subdirectory (tools)
add_subdirectory (man)
add_subdirectory (doc)
add_subdirectory (matlab)
add_subdirectory (python/geographiclib)
if (GEOGRAPHICLIB_EXAMPLES)
  add_subdirectory (examples)
endif ()

# config file support for find_package(GeographicLib).  This only
# supports finding GeographicLib in the "install" tree (as opposed to
# the "build" tree).  The process installs geographiclib-config.cmake in
# ${INSTALL_CMAKE_DIR} and @GEOGRAPHICLIB_ROOT_DIR@ is the relative path
# to the root from there.  (Thus the whole install tree can be
# relocated.)
if (WIN32)
  set (INSTALL_CMAKE_DIR "cmake")
  set (GEOGRAPHICLIB_ROOT_DIR "..")
else ()
  set (INSTALL_CMAKE_DIR
    "share/cmake/${PROJECT_NAME}-${GeographicLib_VERSION}")
  set (GEOGRAPHICLIB_ROOT_DIR "../../..")
endif ()
configure_file (cmake/geographiclib-config.cmake.in
  "${PROJECT_BINARY_DIR}/cmake/geographiclib-config.cmake" @ONLY)
configure_file (cmake/geographiclib-config-version.cmake.in
  "${PROJECT_BINARY_DIR}/cmake/geographiclib-config-version.cmake" @ONLY)
install (FILES
  "${PROJECT_BINARY_DIR}/cmake/geographiclib-config.cmake"
  "${PROJECT_BINARY_DIR}/cmake/geographiclib-config-version.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}")

# Make information about the cmake targets (the library and the tools)
# available.
install (EXPORT depends
  FILE geographiclib-depends.cmake
  DESTINATION "${INSTALL_CMAKE_DIR}")

# Packaging support; we deal with 
# (1) a source distribution: cmake make a tar.gz file and the zip file
# is created from this.  Only the maintainer can do this, because of
# the need to generate additional documentation files.
# (2) a binary distribution: code is included for Linux, Apple, and
# Windows, but only the Windows distribution has been exercised.

# Need to ensure that system dlls get included in a binary distribution
if (NOT DEFINED CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS)
  # Visual Studio Express does include redistributable components so
  # squelch the warning.
  set (CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS ON)
endif ()
include (InstallRequiredSystemLibraries)

# The configuration of CPack is via variable that need to be set before
# the include (CPack).
set (CPACK_PACKAGE_VERSION_MAJOR ${GeographicLib_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${GeographicLib_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH 0)
set (CPACK_PACKAGE_CONTACT charles@karney.com)
set (CPACK_PACKAGE_VENDOR "GeographicLib")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY
  "Geographic library, utilities, and documentation")
# The list of files to be excluded from the source distribution.
set (CPACK_SOURCE_IGNORE_FILES
  "#"
  "~\$"
  "/\\\\.git"
  "${PROJECT_SOURCE_DIR}/BUILD"
  "${PROJECT_SOURCE_DIR}/(tests|testdata|cgi-bin|.*\\\\.cache)/"
  "${PROJECT_SOURCE_DIR}/(distrib|.*-distrib|.*-installer|geodesic-papers)/"
  "${PROJECT_SOURCE_DIR}/[^/]*\\\\.(html|kmz)\$"
  "${PROJECT_SOURCE_DIR}/(autogen|biblio|js-compress)\\\\.sh\$"
  "${PROJECT_SOURCE_DIR}/(geodesic-biblio.txt|makefile-admin)\$" )
set (CPACK_SOURCE_GENERATOR TGZ)

set (CPACK_RESOURCE_FILE_LICENSE ${PROJECT_SOURCE_DIR}/LICENSE.txt)
set (CPACK_PACKAGE_INSTALL_DIRECTORY
  "${PROJECT_NAME}-${GeographicLib_VERSION}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY}")

if (WIN32)
  # The Windows binary packager is NSIS.  Set the necessary variables
  # for this.
  set (CPACK_NSIS_CONTACT "charles@karney.com")
  set (CPACK_NSIS_URL_INFO_ABOUT "http://geographiclib.sf.net")
  set (CPACK_NSIS_HELP_LINK "mailto:charles@karney.com")
  if (CMAKE_SIZEOF_VOID_P EQUAL 8)
    # Hardcode the prefix for Visual Studio 10
    set (CPACK_NSIS_INSTALL_ROOT "C:\\\\pkg-vc10-x64")
    set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY}-win64")
    set (CPACK_NSIS_PACKAGE_NAME
      "${PROJECT_NAME} x64 ${GeographicLib_VERSION}")
    set (CPACK_PACKAGE_INSTALL_REGISTRY_KEY
      "${PROJECT_NAME}-x64-${GeographicLib_VERSION}")
  else ()
    # Hardcode the prefix for Visual Studio 10
    set (CPACK_NSIS_INSTALL_ROOT "C:\\\\pkg-vc10")
    set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY}-win32")
    set (CPACK_NSIS_PACKAGE_NAME
      "${PROJECT_NAME} ${GeographicLib_VERSION}")
    set (CPACK_PACKAGE_INSTALL_REGISTRY_KEY
      "${PROJECT_NAME}-${GeographicLib_VERSION}")
  endif ()
  set (CPACK_NSIS_DISPLAY_NAME ${CPACK_NSIS_PACKAGE_NAME})
  set (CPACK_NSIS_EXTRA_INSTALL_COMMANDS "
  CreateShortCut \\\"$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\Library Documentation.lnk\\\" \\\"$INSTDIR\\\\share\\\\doc\\\\GeographicLib\\\\html\\\\index.html\\\"
  CreateShortCut \\\"$SMPROGRAMS\\\\$STARTMENU_FOLDER\\\\Utility Documentation.lnk\\\" \\\"$INSTDIR\\\\share\\\\doc\\\\GeographicLib\\\\html\\\\utilities.html\\\"
")
  set (CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "
  !insertmacro MUI_STARTMENU_GETFOLDER Application $MUI_TEMP
  Delete \\\"$SMPROGRAMS\\\\$MUI_TEMP\\\\Library Documentation.lnk\\\"
  Delete \\\"$SMPROGRAMS\\\\$MUI_TEMP\\\\Utility Documentation.lnk\\\"
")
  set (CPACK_NSIS_MODIFY_PATH ON)
elseif (APPLE)
  # Not tested
  set (CPACK_GENERATOR DMG)
  set (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY}-darwin")
else ()
  # Not tested
  set (CPACK_GENERATOR TGZ)
endif ()

include (CPack)

# Another maintainer-specific target is building the source distribution
# via the target dist.  This calls package_source to make a tar.gz file.
# However this needs to be touched up to support the vanilla Makefiles
# provided with GeographicLib.  This entails
# (1) creating Makefile (which includes Makefile.mk);
# (2) creating a bare-bones Config.h (with just the version information);
# (3) making sure that make thinks the generated documentation files are
# up-to-date.
# Then a new tar.gz file and zip file are created.  To avoid potential
# problems with directory permissions, tar and zip are told only to
# archive the files.
if (MAINTAINER)
  add_custom_target (dist
    COMMAND ${CMAKE_MAKE_PROGRAM} package_source
    COMMAND
      cd _CPack_Packages/Linux-Source/TGZ/${CPACK_SOURCE_PACKAGE_FILE_NAME} &&
      echo include Makefile.mk > Makefile &&
      echo "\\#define" GEOGRAPHICLIB_VERSION_STRING

=== doc/CMakeLists.txt ===
# $Id: a9ac6876ce9b9276e0b6add11f6d77a9c8f7c75b $

# Where the html versions of the man pages (extension .1.html) are
# found.
if (MAINTAINER)
  set (MANDIR ${PROJECT_BINARY_DIR}/man)
else ()
  set (MANDIR ${PROJECT_SOURCE_DIR}/man)
endif ()

# BUILD UP A LIST OF THE .1.HTML FILES.
set (HTMLMAN)
foreach (TOOL ${TOOLS})
  set (HTMLMAN ${HTMLMAN} ${MANDIR}/${TOOL}.1.html)
endforeach ()

# Run doxygen, if available

# First assemble a list of all the files the documentation uses.  Add a
# dependency on htmlman (from man/CMakeLists.txt).  Use doxygen.log as
# the make target.  To make this target, copy the non-doxygen generated
# files into html/.  Run doxfile.in cmake's config process so that
# absolute path names are used and so that the pathnames are properly
# stripped by doxygen (via STRIP_FROM_PATH). The distrib-doc target
# copies the html directory into the source tree.

# If doxygen is not available, only the install step (from the source
# tree) is done.

if (DOXYGEN_FOUND)
  configure_file (
      "${CMAKE_CURRENT_SOURCE_DIR}/doxyfile.in"
      "${CMAKE_CURRENT_BINARY_DIR}/doxyfile" )
  file (GLOB SOURCES
    ../src/*.cpp ../include/GeographicLib/*.hpp
    ../tools/*.cpp ../examples/*.cpp)
  file (GLOB EXTRA_FILES ../maxima/*.mac tmseries30.html geodseries30.html
    ../LICENSE.txt)
  add_custom_target (doc ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/doxygen.log)
  add_dependencies (doc htmlman)
  add_custom_command (OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/doxygen.log
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/doxyfile
      Geographic.doc ${SOURCES} ${EXTRA_FILES} ${HTMLMAN}
    COMMAND rm -rf html && mkdir html
    COMMAND
      cp -p ${EXTRA_FILES} ${HTMLMAN} html/
    COMMAND ${DOXYGEN_EXECUTABLE} doxyfile > doxygen.log
    COMMENT "Generating html documentation tree")
  install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION share/doc/GeographicLib)

  add_custom_target (distrib-doc)
  add_dependencies (distrib-doc doc)
  add_custom_command (TARGET distrib-doc
    COMMAND rsync -a --delete html/ ${CMAKE_CURRENT_SOURCE_DIR}/html/
    COMMAND touch ${CMAKE_CURRENT_SOURCE_DIR}/html/index.html
    COMMENT "Installing html documentation tree in source tree")

else ()
  install (DIRECTORY html DESTINATION share/doc/GeographicLib)
endif ()

# Finally install the Javascript files
file (GLOB SCRIPTDRIVERS scripts/*.html)
file (GLOB JSSCRIPTS scripts/GeographicLib/*.js)
install (FILES ${SCRIPTDRIVERS} DESTINATION share/doc/GeographicLib/scripts)
install (FILES ${JSSCRIPTS}
  DESTINATION share/doc/GeographicLib/scripts/GeographicLib)

=== examples/CMakeLists.txt ===
# $Id: 54590373678f8a602e370bb7a54265163f5b9d73 $

# Compile (but don't install) a bunch of tiny example programs.  These
# are mainly for including as examples within the doxygen documentation;
# however, compiling them catches most obvious blunders.
file (GLOB EXAMPLE_SOURCES example-*.cpp)
set (EXAMPLES)

foreach (EXAMPLE_SOURCE ${EXAMPLE_SOURCES})
  get_filename_component (EXAMPLE ${EXAMPLE_SOURCE} NAME_WE)
  set (EXAMPLES ${EXAMPLES} ${EXAMPLE})
  add_executable (${EXAMPLE} ${EXAMPLE_SOURCE})
  target_link_libraries (${EXAMPLE} Geographic)
endforeach ()

set (OTHER_EXAMPLES GeoidToGTX.cpp)

foreach (EXAMPLE_SOURCE ${OTHER_EXAMPLES})
  get_filename_component (EXAMPLE ${EXAMPLE_SOURCE} NAME_WE)
  set (EXAMPLES ${EXAMPLES} ${EXAMPLE})
  add_executable (${EXAMPLE} ${EXAMPLE_SOURCE})
  target_link_libraries (${EXAMPLE} Geographic)
endforeach ()

find_package (OpenMP)

if (OPENMP_FOUND OR OpenMP_FOUND)
  set_target_properties (GeoidToGTX PROPERTIES
    COMPILE_FLAGS ${OpenMP_CXX_FLAGS}
    COMPILE_DEFINITIONS HAVE_OPENMP=1)
  if (NOT WIN32)
    set_target_properties (GeoidToGTX PROPERTIES
      LINK_FLAGS ${OpenMP_CXX_FLAGS})
  endif (NOT WIN32)
endif (OPENMP_FOUND OR OpenMP_FOUND)

add_custom_target (examples DEPENDS ${EXAMPLES})
add_dependencies (examples Geographic)

=== man/CMakeLists.txt ===
# $Id: c8cbcc51270dab8273fb82cf8944118b40cea1fa $

# The man pages are maintained as .pod (plain old documentatoin) files.
# In maintainer mode, there are used to create real man pages (extension
# .1), usage files (extension .usage) for including in the tool itself,
# and html versions of the man pages (extension .1.html) for use from
# the doxygen generated documentation

# Only the maintainer tries to generate the derived files and the .usage
# files are in the build tree.  For non-maintainers, the .usages files
# are in the source tree.
if (MAINTAINER)
  add_custom_target (distrib-man)
  add_custom_target (man ALL)
  set (MANDIR ${CMAKE_CURRENT_BINARY_DIR})
else ()
  set (MANDIR ${CMAKE_CURRENT_SOURCE_DIR})
endif ()

set (MANPAGES)
set (USAGE)
set (HTMLMAN)

# Loop over the tools building up lists of the derived files.  Also in
# maintainer mode, specify how the derived files are created.  The sed
# replacements for the .1.html files glue in a style sheet and implement
# cross-referencing between the tools.  The .usage files are generated
# by a shell script makeusage.sh.
foreach (TOOL ${TOOLS})
  set (MANPAGES ${MANPAGES} ${MANDIR}/${TOOL}.1)
  set (USAGE ${USAGE} ${MANDIR}/${TOOL}.usage)
  set (HTMLMAN ${HTMLMAN} ${MANDIR}/${TOOL}.1.html)
  if (MAINTAINER)
    add_custom_command (OUTPUT ${TOOL}.1
      COMMAND pod2man --center=\"GeographicLib Utilities\"
        --release=\"GeographicLib ${GeographicLib_VERSION}\"
        ${CMAKE_CURRENT_SOURCE_DIR}/${TOOL}.pod > ${TOOL}.1
      COMMENT "Building man page for ${TOOL}"
      MAIN_DEPENDENCY ${TOOL}.pod)
    add_custom_command (OUTPUT ${TOOL}.1.html
      COMMAND
        pod2html --noindex ${CMAKE_CURRENT_SOURCE_DIR}/${TOOL}.pod |
        sed -e 's%<head>%<head><link href="http://search.cpan.org/s/style.css" rel="stylesheet" type="text/css">%'
          -e 's%<code>\\\([^<>]*\\\)\(\\\(.\\\)\)</code>%<a href="\\1.\\2.html">&</a>%'g > ${TOOL}.1.html
      COMMENT "Building html version of man page for ${TOOL}"
      MAIN_DEPENDENCY ${TOOL}.pod)
    add_custom_command (OUTPUT ${TOOL}.usage
      COMMAND sh ${CMAKE_CURRENT_SOURCE_DIR}/makeusage.sh
        ${CMAKE_CURRENT_SOURCE_DIR}/${TOOL}.pod > ${TOOL}.usage
      COMMENT "Building usage code for ${TOOL}"
      MAIN_DEPENDENCY ${TOOL}.pod)
  endif ()
endforeach ()

# Add the extra maintainer tasks into the dependency list.  The
# distrib-man target copies the derived documentation files into the
# source tree.
if (MAINTAINER)
  add_custom_target (manpages ALL DEPENDS ${MANPAGES}
    COMMENT "Building all the man pages")
  add_custom_target (usage ALL DEPENDS ${USAGE}
    COMMENT "Converting the man pages to online usage")
  add_custom_target (htmlman ALL DEPENDS ${HTMLMAN}
    COMMENT "Building html versions of the man pages")
  add_dependencies (man manpages usage htmlman)
  add_dependencies (distrib-man man)
  add_custom_command (TARGET distrib-man
    COMMAND
      for f in ${MANPAGES} ${USAGE} ${HTMLMAN}\; do
        cmp "$$f" ${CMAKE_CURRENT_SOURCE_DIR}/`basename "$$f"` >/dev/null 2>&1||
        install -m 644 "$$f" ${CMAKE_CURRENT_SOURCE_DIR}\; done
    COMMENT "Installing man documentation page in source tree")
endif ()

# Install the man pages.
install (FILES ${MANPAGES} DESTINATION share/man/man1)

=== matlab/CMakeLists.txt ===
# $Id: 8da4ccf20ab1de73f6ac4c2d60d6857229a076af $

# Set up the matlab interface.  The .m files just contain the
# documentation.  The .cpp files implement the interface.
file (GLOB MATLAB_FILES *.m)
file (GLOB MATLAB_INTERFACES *.cpp)
# Both sets of files get installed
install (FILES ${MATLAB_FILES} ${MATLAB_INTERFACES}
  DESTINATION libexec/GeographicLib/matlab)

# If MEX then compile the interface routines.  On non-Windows
# systems, an attempt is made to minimize the number of addition target
# generated.  For some reason this does not work with Windows systems.
# On Windows systems, need also to copy the shared library to where the
# mex files live (in the build and install trees).
if (MEX)
  if (WIN32)
    include (InstallRequiredSystemLibraries)
    install (PROGRAMS ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}
      DESTINATION libexec/GeographicLib/matlab)
    add_custom_target (matlab-all)
  else ()
    set (INTERFACE_LIST)
  endif ()
  foreach (INTERFACE ${MATLAB_INTERFACES})
    get_filename_component (TARGET ${INTERFACE} NAME_WE)
    set (TARGET_INTERFACE ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.${MEXEXT})
    if (WIN32)
      add_custom_target (matlab-${TARGET} DEPENDS ${TARGET_INTERFACE})
      add_custom_command (OUTPUT ${TARGET_INTERFACE}
        COMMAND
          ${MEX}
            -I${PROJECT_BINARY_DIR}/include -I${PROJECT_SOURCE_DIR}/include
            -L${PROJECT_BINARY_DIR}/src/Release -lGeographic
            ${INTERFACE}
        COMMENT "Building matlab interface for ${TARGET}"
        DEPENDS ${INTERFACE} Geographic)
      add_dependencies (matlab-${TARGET} Geographic)
      add_dependencies (matlab-all matlab-${TARGET})
      install (PROGRAMS ${TARGET_INTERFACE}
        DESTINATION libexec/GeographicLib/matlab CONFIGURATIONS Release)
    else ()
      set (INTERFACE_LIST ${INTERFACE_LIST} ${TARGET_INTERFACE})
      add_custom_command (OUTPUT ${TARGET_INTERFACE}
        COMMAND
          ${MEX} --mex
            -I${PROJECT_BINARY_DIR}/include -I${PROJECT_SOURCE_DIR}/include
            -L${PROJECT_BINARY_DIR}/src -lGeographic
            -Wl,-rpath=${CMAKE_INSTALL_PREFIX}/lib
            ${INTERFACE}
        COMMENT "Building matlab interface for ${TARGET}"
        DEPENDS ${INTERFACE} Geographic)
    endif ()
  endforeach ()
  if (NOT WIN32)
    add_custom_target (matlab-all DEPENDS ${INTERFACE_LIST})
    add_dependencies (matlab-all Geographic)
    install (PROGRAMS ${INTERFACE_LIST}
      DESTINATION libexec/GeographicLib/matlab CONFIGURATIONS Release)
  endif ()
  if (WIN32 AND GEOGRAPHIC_SHARED_LIB)
    get_target_property (GEOGRAPHIC_LIBRARY_FILE Geographic LOCATION_RELEASE)
    add_custom_command (TARGET matlab-all POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E copy ${GEOGRAPHIC_LIBRARY_FILE} ./)
    get_filename_component (GEOGRAPHIC_LIBRARY_NAME
      ${GEOGRAPHIC_LIBRARY_FILE} NAME)
    install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${GEOGRAPHIC_LIBRARY_NAME}
      DESTINATION libexec/GeographicLib/matlab CONFIGURATIONS Release)
  endif ()
endif ()

=== src/CMakeLists.txt ===
# $Id: db0813d9df0e4b911eb0282bbf2e5bebca5c6563 $

# Build the library...

# Include all the .cpp files in the library.
file (GLOB SOURCES *.cpp)
file (GLOB HEADERS
  ${PROJECT_BINARY_DIR}/include/GeographicLib/Config.h
  ../include/GeographicLib/*.hpp)

# Define the library and specify whether it is shared or not.
if (GEOGRAPHIC_SHARED_LIB)
  add_library (Geographic SHARED ${SOURCES} ${HEADERS})
else ()
  add_library (Geographic STATIC ${SOURCES} ${HEADERS})
endif ()

# Set the version number on the library
if (WIN32)
  set_target_properties (Geographic PROPERTIES VERSION "${LIBVERSIONFULL}" )
else ()
  set_target_properties (Geographic PROPERTIES
    VERSION "${LIBVERSIONFULL}" SOVERSION "${LIBVERSION}" )
endif ()

# Specify where the library is installed, adding it to the export depends
install (TARGETS Geographic
  EXPORT depends
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib)

=== tools/CMakeLists.txt ===
# $Id: 6e59195303d0fbf5e3d86159e0c2808bc1014fec $

# Build the tools...

# Where to find the *.usage files for the --help option.  For a
# maintainer these are in the build tree; otherwise they are in the
# source tree.
if (MAINTAINER)
  set (MANDIR ${PROJECT_BINARY_DIR}/man)
else ()
  set (MANDIR ${PROJECT_SOURCE_DIR}/man)
endif ()
include_directories (${MANDIR})

# Loop over all the tools, specifying the source and library.
add_custom_target (tools ALL)
foreach (TOOL ${TOOLS})

  add_executable (${TOOL} ${TOOL}.cpp)
  if (MAINTAINER)
    add_dependencies (${TOOL} usage)
  endif ()
  add_dependencies (tools ${TOOL})

  set_source_files_properties (${TOOL}.cpp PROPERTIES
    OBJECT_DEPENDS ${MANDIR}/${TOOL}.usage)

  target_link_libraries (${TOOL} Geographic)

endforeach ()

# Set the run time path for shared libraries for non-Windows machines.
if (NOT WIN32)
  set_target_properties (${TOOLS} PROPERTIES
    INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib)
endif ()

# Specify where the tools are installed
install (TARGETS ${TOOLS} DESTINATION bin)

# Create the scripts for downloading the data files on non-Windows
# systems.  This needs to substitute ${GEOGRAPHICLIB_DATA} as the
# default data directory.  These are installed under sbin, because it is
# expected to be run with write access to /usr/local.
if (NOT WIN32)
  foreach (SCRIPT ${SCRIPTS})
    add_custom_command (OUTPUT ${SCRIPT}
      COMMAND
        sed -e "s%@DEFAULTDIR@%${GEOGRAPHICLIB_DATA}%"
          ${CMAKE_CURRENT_SOURCE_DIR}/${SCRIPT}.sh >
          ${SCRIPT}
      COMMAND chmod +x ${SCRIPT}
      DEPENDS ${SCRIPT}.sh)
    install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} DESTINATION sbin)
  endforeach ()
  add_custom_target (scripts ALL DEPENDS ${SCRIPTS})
endif ()

# Copy the shared library on Windows systems to this directory (tools) so
# that the tests can be run.
if (WIN32 AND GEOGRAPHIC_SHARED_LIB)
  get_target_property (GEOGRAPHIC_LIBRARY_FILE Geographic
    "LOCATION_${CMAKE_CFG_INTDIR}")
  add_custom_command (TARGET tools POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E
    copy ${GEOGRAPHIC_LIBRARY_FILE} ${CMAKE_CFG_INTDIR}/)
endif ()

# Turn on testing
enable_testing ()

# Here are the tests.  They consists of calling the various tools with
# --input-string and matching the output against regular expressions.

add_test (GeoConvert0 GeoConvert -p -3 -m --input-string "33.3 44.4")
set_tests_properties (GeoConvert0
  PROPERTIES PASS_REGULAR_EXPRESSION "38SMB4484")
add_test (GeoConvert1 GeoConvert -d --input-string "38smb")
set_tests_properties (GeoConvert1
  PROPERTIES PASS_REGULAR_EXPRESSION "32d59'14\\.1\"N 044d27'53\\.4\"E")
add_test (GeoConvert2 GeoConvert -p -2 --input-string "30d30'30\" 30.50833")
set_tests_properties (GeoConvert2
  PROPERTIES PASS_REGULAR_EXPRESSION "30\\.508 30\\.508")
add_test (GeoConvert3 GeoConvert --junk)
set_tests_properties (GeoConvert3 PROPERTIES WILL_FAIL ON)
add_test (GeoConvert4 GeoConvert --input-string garbage)
set_tests_properties (GeoConvert4 PROPERTIES WILL_FAIL ON)
# Check fix for DMS::Decode bug fixed on 2011-03-22
add_test (GeoConvert5 GeoConvert --input-string "5d. 0")
set_tests_properties (GeoConvert5 PROPERTIES WILL_FAIL ON)

add_test (Geod0 Geod -i -p 0 --input-string "40.6 -73.8 49d01'N 2d33'E")
set_tests_properties (Geod0
  PROPERTIES PASS_REGULAR_EXPRESSION "53\\.47022 111\\.59367 5853226")
add_test (Geod1
  Geod -p 0 --input-string "40d38'23\"N 073d46'44\"W 53d30' 5850e3")
set_tests_properties (Geod1
  PROPERTIES PASS_REGULAR_EXPRESSION "49\\.01467 2\\.56106 111\\.62947")
# Check fix for antipodal prolate bug found 2010-09-04
add_test (Geod2
  Geod -i -p 0 -e 6.4e6 -1/150 --input-string "0.07476 0 -0.07476 180")
set_tests_properties (Geod2
  PROPERTIES PASS_REGULAR_EXPRESSION "90\\.00078 90\\.00078 20106193")
# Another check for similar bug
add_test (Geod3
  Geod -i -p 0 -e 6.4e6 -1/150 --input-string "0.1 0 -0.1 180")
set_tests_properties (Geod3
  PROPERTIES PASS_REGULAR_EXPRESSION "90\\.00105 90\\.00105 20106193")
# Check fix for short line bug found 2010-05-21
add_test (Geod4
  Geod -i --input-string "36.493349428792 0 36.49334942879201 .0000008")
set_tests_properties (Geod4 PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 0\\.072")
# Check fix for point2=pole bug found 2010-05-03 (but only with long double)
add_test (Geod5
  Geod -p 0 --input-string "0.01777745589997 30 0 10e6")
set_tests_properties (Geod5
  PROPERTIES PASS_REGULAR_EXPRESSION
  "90\\.00000 -150\\.00000 -180\\.00000;90\\.00000 30\\.00000 0\\.00000")

# Check fix for volatile sbet12a bug found 2011-06-25 (gcc 4.4.4 x86 -O3)
# Found again on 2012-03-27 with tdm-mingw32 (g++ 4.6.1).
add_test (Geod6 Geod -i --input-string
  "88.202499451857 0 -88.202499451857 179.981022032992859592")
add_test (Geod7 Geod -i --input-string
  "89.262080389218 0 -89.262080389218 179.992207982775375662")
add_test (Geod8 Geod -i --input-string
  "89.333123580033 0 -89.333123580032997687 179.99295812360148422")
set_tests_properties (Geod6
  PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 20003898.214")
set_tests_properties (Geod7
  PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 20003925.854")
set_tests_properties (Geod8
  PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 20003926.881")

# Check fix for volatile x bug found 2011-06-25 (gcc 4.4.4 x86 -O3)
add_test (Geod9 Geod -i --input-string
  "56.320923501171 0 -56.320923501171 179.664747671772880215")
set_tests_properties (Geod9
  PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 19993558.287")

# Check fix for adjust tol1_ bug found 2011-06-25 (Visual Studio 10 rel + debug)
add_test (Geod10 Geod -i --input-string
  "52.784459512564 0 -52.784459512563990912 179.634407464943777557")
set_tests_properties (Geod10
  PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 19991596.095")

# Check fix for bet2 = -bet1 bug found 2011-06-25 (Visual Studio 10 rel + debug)
add_test (Geod11 Geod -i --input-string
  "48.522876735459 0 -48.52287673545898293 179.599720456223079643")
set_tests_properties (Geod11
  PROPERTIES PASS_REGULAR_EXPRESSION ".* .* 19989144.774")

# Check fix for pole-encircling bug found 2011-03-16
add_test (Planimeter0 Planimeter --input-string "89 0;89 90;89 180;89 270")
add_test (Planimeter1
  Planimeter -r --input-string "-89 0;-89 90;-89 180;-89 270")
add_test (Planimeter2 Planimeter --input-string "0 -1;-1 0;0 1;1 0")
add_test (Planimeter3 Planimeter --input-string "90 0; 0 0; 0 90")
add_test (Planimeter4 Planimeter -l --input-string "90 0; 0 0; 0 90")
set_tests_properties (Planimeter0
  PROPERTIES PASS_REGULAR_EXPRESSION
  "4 631819\\.8745[0-9]+ 2495230567[78]\\.[0-9]+")
set_tests_properties (Planimeter1
  PROPERTIES PASS_REGULAR_EXPRESSION
  "4 631819\\.8745[0-9]+ 2495230567[78]\\.[0-9]+")
set_tests_properties (Planimeter2
  PROPERTIES PASS_REGULAR_EXPRESSION "4 627598\\.2731[0-9]+ 24619419146.[0-9]+")
set_tests_properties (Planimeter3
  PROPERTIES PASS_REGULAR_EXPRESSION
  "3 30022685\\.[0-9]+ 63758202715511\\.[0-9]+")
set_tests_properties (Planimeter4
  PROPERTIES PASS_REGULAR_EXPRESSION "3 20020719\\.[0-9]+")
# Check fix for Planimeter pole crossing bug found 2011-06-24
add_test (Planimeter5 Planimeter --input-string "89,0.1;89,90.1;89,-179.9")
set_tests_properties (Planimeter5
  PROPERTIES PASS_REGULAR_EXPRESSION
  "3 539297\\.[0-9]+ 1247615283[89]\\.[0-9]+")

# Check fix for AlbersEqualArea::Reverse bug found 2011-05-01
add_test (ConicProj0
  ConicProj -a 40d58 39d56 -l 77d45W -r --input-string "220e3 -52e3")
set_tests_properties (ConicProj0
  PROPERTIES PASS_REGULAR_EXPRESSION
  "39\\.95[0-9]+ -75\\.17[0-9]+ 1\\.67[0-9]+ 0\\.99[0-9]+")

add_test (CartConvert0
  CartConvert -e 6.4e6 1/100 -r --input-string "10e3 0 1e3")
add_test (CartConvert1
  CartConvert -e 6.4e6 -1/100 -r --input-string "1e3 0 10e3")
set_tests_properties (CartConvert0
  PROPERTIES PASS_REGULAR_EXPRESSION
  "85\\.57[0-9]+ 0\\.0[0]+ -6334614\\.[0-9]+")
set_tests_properties (CartConvert1
  PROPERTIES PASS_REGULAR_EXPRESSION
  "4\\.42[0-9]+ 0\\.0[0]+ -6398614\\.[0-9]+")

if (EXISTS ${GEOGRAPHICLIB_DATA}/geoids/egm96-5.pgm)
  # Check fix for single-cell cache bug found 2010-11-23
  add_test (GeoidEval0 GeoidEval -n egm96-5 --input-string "0d1 0d1;0d4 0d4")
  set_tests_properties (GeoidEval0
    PROPERTIES PASS_REGULAR_EXPRESSION "^17\\.1[56]..
17\\.1[45]..")
endif ()

if (EXISTS ${GEOGRAPHICLIB_DATA}/magnetic/wmm2010.wmm)
  # Test case from WMM2010_Report.pdf, Sec 1.5, pp 14-15:
  # t = 2012.5, lat = -80, lon = 240, h = 100e3
  add_test (MagneticField0
    MagneticField -n wmm2010 -p 10 -r --input-string "2012.5 -80 240 100e3")
  add_test (MagneticField1
    MagneticField -n wmm2010 -p 10 -r -t 2012.5 --input-string "-80 240 100e3")
  add_test (MagneticField2
    MagneticField -n wmm2010 -p 10 -r -c 2012.5 -80 100e3 --input-string "240")
  set_tests_properties (MagneticField0
    PROPERTIES PASS_REGULAR_EXPRESSION
    " 5535\\.5249148687 14765\\.3703243050 -50625\\.9305478794 .*
.* 20\\.4904268023 1\\.0272592716 83\\.5313962281 ")
  set_tests_properties (MagneticField1
    PROPERTIES PASS_REGULAR_EXPRESSION
    " 5535\\.5249148687 14765\\.3703243050 -50625\\.9305478794 .*
.* 20\\.4904268023 1\\.0272592716 83\\.5313962281 ")
  set_tests_properties (MagneticField2
    PROPERTIES PASS_REGULAR_EXPRESSION
    " 5535\\.5249148687 14765\\.3703243050 -50625\\.9305478794 .*
.* 20\\.4904268023 1\\.0272592716 83\\.5313962281 ")
endif ()

if (EXISTS ${GEOGRAPHICLIB_DATA}/gravity/egm2008.egm)
  # Verify no overflow at poles with high degree model
  add_test (Gravity0
    Gravity -n egm2008 -p 6 --input-string "90 110 0")
  set_tests_properties (Gravity0
    PROPERTIES PASS_REGULAR_EXPRESSION
    "-0\\.000146 0\\.000078 -9\\.832294")
endif ()

=== include/GeographicLib/CMakeLists.txt ===
# $Id: ad1a97beeda9134b93debee2ba855548e252c3a7 $

# Install the header files including the generated Config.h (which is in
# the build tree).
file (GLOB HEADERS *.hpp)
install (FILES ${HEADERS} DESTINATION include/GeographicLib)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Config.h
  DESTINATION include/GeographicLib)

=== python/geographiclib/CMakeLists.txt ===
# $Id: 1cd13969a90a73112ab8c4bd44fc2194ff0af9ff $

# Install the python files.
# Probably full-time python users should install the python package from
# http://pypi.python.org/pypi/geographiclib
file (GLOB PYTHON_FILES *.py)
install (FILES ${PYTHON_FILES}
  DESTINATION lib/python/site-packages/geographiclib)

# Only install setup.py under Windows because the installation tree is,
# e.g., c:/Program Files/GeographicLib/lib/python/site-packages.  Don't
# install on other systems where this command would create, e.g.,
# /usr/local/lib/python/site-packages/setup.py which is likely to cause
# conflicts.
if (WIN32)
  install (FILES ../setup.py DESTINATION lib/python/site-packages)
endif ()

=== debian/changelog ===
geographiclib (1.21-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Thu, 09 Jan 2014 00:25:19 -0500

geographiclib (1.21-1) unstable; urgency=low

  * New upstream release.
  * Added python package with dh_python2 support.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 May 2012 16:19:52 +0200

geographiclib (1.18-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.9.3, no changes required.
  * SONAME bumped to 9.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 09 Mar 2012 20:29:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: geographiclib
 Section: science
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: cdbs, debhelper (>= 8), autotools-dev, doxygen
-Standards-Version: 3.9.1
+Build-Depends: cdbs, debhelper (>= 8), dh-autoreconf, doxygen, python-all
+Standards-Version: 3.9.3
 Homepage: http://geographiclib.sf.net/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/geographiclib.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/geographiclib.git
@@ -22,7 +23,7 @@
  .
  This package contains some core tools based on the GeographicLib library.
 
-Package: libgeographiclib5
+Package: libgeographiclib9
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,7 +40,7 @@
 Package: libgeographiclib-dev
 Architecture: any
 Section: libdevel
-Depends: libgeographiclib5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgeographiclib9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: A C++ library to solve some geodesic problems -- development files
  GeographicLib is a small set of C++ classes for converting between                                                                                         
  geographic, UTM, UPS, MGRS, geocentric, and local cartesian coordinates,                                                                                     
@@ -48,3 +49,13 @@
  .
  This package contains the files used to develop applications that use the
  GeographicLib library.
+
+Package: python-geographiclib
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: Python binding for GeographicLib
+ GeographicLib is a small set of C++ classes for converting between                                                                                         
+ geographic, UTM, UPS, MGRS, geocentric, and local cartesian coordinates,                                                                                     
+ for geoid calculations, and for computing geodesic. It is a suitable                                                                                         
+ replacement for the core functionality provided by NGA Geotrans.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_PYTHON_DISTUTILS_SRCDIR = python
DEB_PYTHON2_MODULE_PACKAGES = python-geographiclib
DEB_PYTHON_SETUP_CMD = setup.py

include /usr/share/cdbs/1/class/python-vars.mk
include /usr/share/cdbs/1/class/python-distutils.mk 

DEB_CONFIGURE_EXTRA_FLAGS=--datadir=/usr/share/geographiclib --prefix=/usr

=== debian/watch ===
# Example watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/geographiclib/geographiclib-(.*)\.tar\.gz
